summaryrefslogtreecommitdiffstats
path: root/games/moria
diff options
context:
space:
mode:
author hollywoodb <hollywoodb@fastmail.fm>2010-05-11 14:28:22 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:28:22 +0200
commitfcd83d8dcae082fd5851f2d21d10a422a5f62bc8 (patch)
tree1dcbc20d4cc9e84abd98cc82898f077ae0f6fd94 /games/moria
parentb3b6fdfb6a08eca1cd517eb9e537fb0436b1690f (diff)
downloadslackbuilds-fcd83d8dcae082fd5851f2d21d10a422a5f62bc8.tar.gz
slackbuilds-fcd83d8dcae082fd5851f2d21d10a422a5f62bc8.tar.xz
games/moria: Initial import
Diffstat (limited to 'games/moria')
-rw-r--r--games/moria/README18
-rw-r--r--games/moria/doinst.sh31
-rw-r--r--games/moria/moria.SlackBuild57
-rw-r--r--games/moria/moria.desktop11
-rw-r--r--games/moria/moria.info8
-rw-r--r--games/moria/slack-desc9
6 files changed, 134 insertions, 0 deletions
diff --git a/games/moria/README b/games/moria/README
new file mode 100644
index 0000000000..6c5f8160c0
--- /dev/null
+++ b/games/moria/README
@@ -0,0 +1,18 @@
+Moria/UMoria - a roguelike game.
+
+A single player roguelike game with a regenerating dungeon, moria is the
+predecessor of angband with a full-screen, text-based, turn-based interface.
+It features scrolling maps, and an infinite (constantly regenerated) dungeon.
+
+Moria's dungeons are populated by monsters, some of which are inspired by
+J.R.R. Tolkien's books. The goal of the game is to find and kill the Balrog,
+whereupon the player is crowned King. Your player can be created from a
+combination of 8 races (human, half-elf, elf, halfling, gnome, dwarf, half-orc,
+half-troll) and 6 classes (warrior, mage, priest, rogue, ranger, paladin),
+and is measured by 6 attributes (strength, dexterity, intelligence, wisdom,
+constitution, and charisma).
+
+NOTE: despite the package name, this is actually UMORIA 5.5.2.
+ Also, this is a repackaging of Debian's binary, as the original source
+ seems to be impossible to find.
+
diff --git a/games/moria/doinst.sh b/games/moria/doinst.sh
new file mode 100644
index 0000000000..0c4db7c2fb
--- /dev/null
+++ b/games/moria/doinst.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+config() {
+ NEW="$1"
+ OLD="`dirname $NEW`/`basename $NEW .new`"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/moria-hours.new
+
+
+SCOREFILE="var/games/moria/scores"
+
+# If the score file does not exist, create it
+ if [ ! -e $SCOREFILE ]; then
+ touch $SCOREFILE
+ chown root:games $SCOREFILE
+ chmod 664 $SCOREFILE
+ fi
+
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/games/moria/moria.SlackBuild b/games/moria/moria.SlackBuild
new file mode 100644
index 0000000000..67d4cba237
--- /dev/null
+++ b/games/moria/moria.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+## Written by hollywoodb (hollywoodb@fastmail.fm)
+
+## Feel free to use, modify, redistribute this script.
+## If you make changes please modify the "Written by"
+## so that I don't recieve emails about a script I
+## did not write. Thanks.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit
+fi
+
+set -e
+
+NAME=moria
+VERSION=5.5.2
+DEBVERSION=5.5.2-5
+ARCH=i386 # Leave this alone - this is a binary repackaging
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=${PKG:-$TMP/package-$NAME}
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP/$NAME-$VERSION $PKG $OUTPUT
+cd $TMP/$NAME-$VERSION
+ar x $CWD/${NAME}_${DEBVERSION}_${ARCH}.deb
+tar -C $PKG -zxf data.tar.gz
+
+chown root:root $PKG/usr/games/moria
+mv $PKG/usr/share/* $PKG/usr/
+rm -rf $PKG/usr/share
+
+# Remove debian's menu stuff and add a normal desktop file (no icon though)
+rm -rf $PKG/usr/lib/menu
+mkdir -p $PKG/usr/share/applications
+install -m 0644 $CWD/moria.desktop $PKG/usr/share/applications
+
+# Let's not clobber an existing config file
+mv $PKG/etc/moria-hours $PKG/etc/moria-hours.new
+
+mv $PKG/usr/doc/$NAME $PKG/usr/doc/$NAME-$VERSION
+for i in $PKG/usr/doc/$NAME-$VERSION/*.gz; do gunzip "$i"; done
+cat $CWD/$NAME.SlackBuild > $PKG/usr/doc/$NAME-$VERSION/$NAME.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n -p $OUTPUT/$NAME-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/moria/moria.desktop b/games/moria/moria.desktop
new file mode 100644
index 0000000000..9eaf67b74a
--- /dev/null
+++ b/games/moria/moria.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Encoding=UTF-8
+Name=Moria
+Comment=A graphical roguelike game.
+GenericName=Graphical Roguelike Game
+Exec=moria
+Icon=/usr/share/pixmaps/moria.png
+Terminal=false
+Type=Application
+StartupNotify=true
+Categories=Application;Game
diff --git a/games/moria/moria.info b/games/moria/moria.info
new file mode 100644
index 0000000000..2b3f840406
--- /dev/null
+++ b/games/moria/moria.info
@@ -0,0 +1,8 @@
+PRGNAM="moria"
+VERSION="5.5.2"
+HOMEPAGE="http://packages.debian.org/stable/games/moria"
+DOWNLOAD="http://http.us.debian.org/debian/pool/non-free/m/moria/moria_5.5.2-5_i386.deb"
+MD5SUM="2b8dc9e3457ff13db2a069f5b0940925"
+MAINTAINER="hollywoodb"
+EMAIL="hollywoodb@fastmail.fm"
+APPROVED="robw810"
diff --git a/games/moria/slack-desc b/games/moria/slack-desc
new file mode 100644
index 0000000000..8722dd2775
--- /dev/null
+++ b/games/moria/slack-desc
@@ -0,0 +1,9 @@
+moria: moria (a roguelike game)
+moria:
+moria: A single player roguelike game with a regenerating dungeon, moria is
+moria: the predecessor of angband with a full-screen, text-based, turn-based
+moria: interface. It features scrolling maps, and an infinite (constantly
+moria: regenerated) dungeon.
+moria:
+moria:
+moria: